
# This was ripped from the VICE emulator source code and converted from C to 
# Perl. See http://www.cs.cmu.edu/~dsladic/vice/vice.html

%cmd = (
	"BRK:IMPLIED" => 0,
	"ORA:INDIRECT_X" => 1,
	"JAM:IMPLIED" => 2,
	"SLO:INDIRECT_X" => 3,
	"NOP:ZERO_PAGE" => 4,
	"ORA:ZERO_PAGE" => 5,
	"ASL:ZERO_PAGE" => 6,
	"SLO:ZERO_PAGE" => 7,
	"PHP:IMPLIED" => 8,
	"ORA:IMMEDIATE" => 9,
	"ASL:ACCUMULATOR" => 10,
	"ANC:IMMEDIATE" => 11,
	"NOP:ABSOLUTE" => 12,
	"ORA:ABSOLUTE" => 13,
	"ASL:ABSOLUTE" => 14,
	"SLO:ABSOLUTE" => 15,
	"BPL:RELATIVE" => 16,
	"ORA:INDIRECT_Y" => 17,
	"JAM:IMPLIED" => 18,
	"SLO:INDIRECT_Y" => 19,
	"NOP:ZERO_PAGE_X" => 20,
	"ORA:ZERO_PAGE_X" => 21,
	"ASL:ZERO_PAGE_X" => 22,
	"SLO:ZERO_PAGE_X" => 23,
	"CLC:IMPLIED" => 24,
	"ORA:ABSOLUTE_Y" => 25,
	"NOP:IMPLIED" => 26,
	"SLO:ABSOLUTE_Y" => 27,
	"NOP:ABSOLUTE_X" => 28,
	"ORA:ABSOLUTE_X" => 29,
	"ASL:ABSOLUTE_X" => 30,
	"SLO:ABSOLUTE_X" => 31,
	"JSR:ABSOLUTE" => 32,
	"AND:INDIRECT_X" => 33,
	"JAM:IMPLIED" => 34,
	"RLA:INDIRECT_X" => 35,
	"BIT:ZERO_PAGE" => 36,
	"AND:ZERO_PAGE" => 37,
	"ROL:ZERO_PAGE" => 38,
	"RLA:ZERO_PAGE" => 39,
	"PLP:IMPLIED" => 40,
	"AND:IMMEDIATE" => 41,
	"ROL:ACCUMULATOR" => 42,
	"ANC:IMMEDIATE" => 43,
	"BIT:ABSOLUTE" => 44,
	"AND:ABSOLUTE" => 45,
	"ROL:ABSOLUTE" => 46,
	"RLA:ABSOLUTE" => 47,
	"BMI:RELATIVE" => 48,
	"AND:INDIRECT_Y" => 49,
	"JAM:IMPLIED" => 50,
	"RLA:INDIRECT_Y" => 51,
	"NOP:ZERO_PAGE_X" => 52,
	"AND:ZERO_PAGE_X" => 53,
	"ROL:ZERO_PAGE_X" => 54,
	"RLA:ZERO_PAGE_X" => 55,
	"SEC:IMPLIED" => 56,
	"AND:ABSOLUTE_Y" => 57,
	"NOP:IMPLIED" => 58,
	"RLA:ABSOLUTE_Y" => 59,
	"NOP:ABSOLUTE_X" => 60,
	"AND:ABSOLUTE_X" => 61,
	"ROL:ABSOLUTE_X" => 62,
	"RLA:ABSOLUTE_X" => 63,
	"RTI:IMPLIED" => 64,
	"EOR:INDIRECT_X" => 65,
	"JAM:IMPLIED" => 66,
	"SRE:INDIRECT_X" => 67,
	"NOP:ZERO_PAGE" => 68,
	"EOR:ZERO_PAGE" => 69,
	"LSR:ZERO_PAGE" => 70,
	"SRE:ZERO_PAGE" => 71,
	"PHA:IMPLIED" => 72,
	"EOR:IMMEDIATE" => 73,
	"LSR:ACCUMULATOR" => 74,
	"ASR:IMMEDIATE" => 75,
	"JMP:ABSOLUTE" => 76,
	"EOR:ABSOLUTE" => 77,
	"LSR:ABSOLUTE" => 78,
	"SRE:ABSOLUTE" => 79,
	"BVC:RELATIVE" => 80,
	"EOR:INDIRECT_Y" => 81,
	"JAM:IMPLIED" => 82,
	"SRE:INDIRECT_Y" => 83,
	"NOP:ZERO_PAGE_X" => 84,
	"EOR:ZERO_PAGE_X" => 85,
	"LSR:ZERO_PAGE_X" => 86,
	"SRE:ZERO_PAGE_X" => 87,
	"CLI:IMPLIED" => 88,
	"EOR:ABSOLUTE_Y" => 89,
	"NOP:IMPLIED" => 90,
	"SRE:ABSOLUTE_Y" => 91,
	"NOP:ABSOLUTE_X" => 92,
	"EOR:ABSOLUTE_X" => 93,
	"LSR:ABSOLUTE_X" => 94,
	"SRE:ABSOLUTE_X" => 95,
	"RTS:IMPLIED" => 96,
	"ADC:INDIRECT_X" => 97,
	"JAM:IMPLIED" => 98,
	"RRA:INDIRECT_X" => 99,
	"NOP:ZERO_PAGE" => 100,
	"ADC:ZERO_PAGE" => 101,
	"ROR:ZERO_PAGE" => 102,
	"RRA:ZERO_PAGE" => 103,
	"PLA:IMPLIED" => 104,
	"ADC:IMMEDIATE" => 105,
	"ROR:ACCUMULATOR" => 106,
	"ARR:IMMEDIATE" => 107,
	"JMP:ABS_INDIRECT" => 108,
	"ADC:ABSOLUTE" => 109,
	"ROR:ABSOLUTE" => 110,
	"RRA:ABSOLUTE" => 111,
	"BVS:RELATIVE" => 112,
	"ADC:INDIRECT_Y" => 113,
	"JAM:IMPLIED" => 114,
	"RRA:INDIRECT_Y" => 115,
	"NOP:ZERO_PAGE_X" => 116,
	"ADC:ZERO_PAGE_X" => 117,
	"ROR:ZERO_PAGE_X" => 118,
	"RRA:ZERO_PAGE_X" => 119,
	"SEI:IMPLIED" => 120,
	"ADC:ABSOLUTE_Y" => 121,
	"NOP:IMPLIED" => 122,
	"RRA:ABSOLUTE_Y" => 123,
	"NOP:ABSOLUTE_X" => 124,
	"ADC:ABSOLUTE_X" => 125,
	"ROR:ABSOLUTE_X" => 126,
	"RRA:ABSOLUTE_X" => 127,
	"NOP:IMMEDIATE" => 128,
	"STA:INDIRECT_X" => 129,
	"NOP:IMMEDIATE" => 130,
	"SAX:INDIRECT_X" => 131,
	"STY:ZERO_PAGE" => 132,
	"STA:ZERO_PAGE" => 133,
	"STX:ZERO_PAGE" => 134,
	"SAX:ZERO_PAGE" => 135,
	"DEY:IMPLIED" => 136,
	"NOP:IMMEDIATE" => 137,
	"TXA:IMPLIED" => 138,
	"ANE:IMMEDIATE" => 139,
	"STY:ABSOLUTE" => 140,
	"STA:ABSOLUTE" => 141,
	"STX:ABSOLUTE" => 142,
	"SAX:ABSOLUTE" => 143,
	"BCC:RELATIVE" => 144,
	"STA:INDIRECT_Y" => 145,
	"JAM:IMPLIED" => 146,
	"SHA:INDIRECT_Y" => 147,
	"STY:ZERO_PAGE_X" => 148,
	"STA:ZERO_PAGE_X" => 149,
	"STX:ZERO_PAGE_Y" => 150,
	"SAX:ZERO_PAGE_Y" => 151,
	"TYA:IMPLIED" => 152,
	"STA:ABSOLUTE_Y" => 153,
	"TXS:IMPLIED" => 154,
	"SHS:ABSOLUTE_Y" => 155,
	"SHY:ABSOLUTE_X" => 156,
	"STA:ABSOLUTE_X" => 157,
	"SHX:ABSOLUTE_Y" => 158,
	"SHA:ABSOLUTE_Y" => 159,
	"LDY:IMMEDIATE" => 160,
	"LDA:INDIRECT_X" => 161,
	"LDX:IMMEDIATE" => 162,
	"LAX:INDIRECT_X" => 163,
	"LDY:ZERO_PAGE" => 164,
	"LDA:ZERO_PAGE" => 165,
	"LDX:ZERO_PAGE" => 166,
	"LAX:ZERO_PAGE" => 167,
	"TAY:IMPLIED" => 168,
	"LDA:IMMEDIATE" => 169,
	"TAX:IMPLIED" => 170,
	"LXA:IMMEDIATE" => 171,
	"LDY:ABSOLUTE" => 172,
	"LDA:ABSOLUTE" => 173,
	"LDX:ABSOLUTE" => 174,
	"LAX:ABSOLUTE" => 175,
	"BCS:RELATIVE" => 176,
	"LDA:INDIRECT_Y" => 177,
	"JAM:IMPLIED" => 178,
	"LAX:INDIRECT_Y" => 179,
	"LDY:ZERO_PAGE_X" => 180,
	"LDA:ZERO_PAGE_X" => 181,
	"LDX:ZERO_PAGE_Y" => 182,
	"LAX:ZERO_PAGE_Y" => 183,
	"CLV:IMPLIED" => 184,
	"LDA:ABSOLUTE_Y" => 185,
	"TSX:IMPLIED" => 186,
	"LAS:ABSOLUTE_Y" => 187,
	"LDY:ABSOLUTE_X" => 188,
	"LDA:ABSOLUTE_X" => 189,
	"LDX:ABSOLUTE_Y" => 190,
	"LAX:ABSOLUTE_Y" => 191,
	"CPY:IMMEDIATE" => 192,
	"CMP:INDIRECT_X" => 193,
	"NOP:IMMEDIATE" => 194,
	"DCP:INDIRECT_X" => 195,
	"CPY:ZERO_PAGE" => 196,
	"CMP:ZERO_PAGE" => 197,
	"DEC:ZERO_PAGE" => 198,
	"DCP:ZERO_PAGE" => 199,
	"INY:IMPLIED" => 200,
	"CMP:IMMEDIATE" => 201,
	"DEX:IMPLIED" => 202,
	"SBX:IMMEDIATE" => 203,
	"CPY:ABSOLUTE" => 204,
	"CMP:ABSOLUTE" => 205,
	"DEC:ABSOLUTE" => 206,
	"DCP:ABSOLUTE" => 207,
	"BNE:RELATIVE" => 208,
	"CMP:INDIRECT_Y" => 209,
	"JAM:IMPLIED" => 210,
	"DCP:INDIRECT_Y" => 211,
	"NOP:ZERO_PAGE_X" => 212,
	"CMP:ZERO_PAGE_X" => 213,
	"DEC:ZERO_PAGE_X" => 214,
	"DCP:ZERO_PAGE_X" => 215,
	"CLD:IMPLIED" => 216,
	"CMP:ABSOLUTE_Y" => 217,
	"NOP:IMPLIED" => 218,
	"DCP:ABSOLUTE_Y" => 219,
	"NOP:ABSOLUTE_X" => 220,
	"CMP:ABSOLUTE_X" => 221,
	"DEC:ABSOLUTE_X" => 222,
	"DCP:ABSOLUTE_X" => 223,
	"CPX:IMMEDIATE" => 224,
	"SBC:INDIRECT_X" => 225,
	"NOP:IMMEDIATE" => 226,
	"ISB:INDIRECT_X" => 227,
	"CPX:ZERO_PAGE" => 228,
	"SBC:ZERO_PAGE" => 229,
	"INC:ZERO_PAGE" => 230,
	"ISB:ZERO_PAGE" => 231,
	"INX:IMPLIED" => 232,
	"SBC:IMMEDIATE" => 233,
	"NOP:IMPLIED" => 234,
	"USB:IMMEDIATE" => 235,
	"CPX:ABSOLUTE" => 236,
	"SBC:ABSOLUTE" => 237,
	"INC:ABSOLUTE" => 238,
	"ISB:ABSOLUTE" => 239,
	"BEQ:RELATIVE" => 240,
	"SBC:INDIRECT_Y" => 241,
	"JAM:IMPLIED" => 242,
	"ISB:INDIRECT_Y" => 243,
	"NOP:ZERO_PAGE_X" => 244,
	"SBC:ZERO_PAGE_X" => 245,
	"INC:ZERO_PAGE_X" => 246,
	"ISB:ZERO_PAGE_X" => 247,
	"SED:IMPLIED" => 248,
	"SBC:ABSOLUTE_Y" => 249,
	"NOP:IMPLIED" => 250,
	"ISB:ABSOLUTE_Y" => 251,
	"NOP:ABSOLUTE_X" => 252,
	"SBC:ABSOLUTE_X" => 253,
	"INC:ABSOLUTE_X" => 254,
	"ISB:ABSOLUTE_X" => 255
);

